View Issue Details

IDProjectCategoryView StatusLast Update
0003759Talerwallet (WebExtensions)public2019-12-26 21:37
ReporterChristian GrothoffAssigned ToMarcello Stanisci 
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.0Fixed in Version0.0 
Summary0003759: need HKDF facility for key derivation in Wallet
DescriptionWe use HKDF to derive symmetric encryption keys for the refresh link data. Thus, HKDF needs to be implemented for the wallet.
TagsNo tags attached.

Relationships

parent of 0003758 closedMarcello Stanisci need implementation of SHA-512 
related to 0003766 closedChristian Grothoff Should offer crypto-compatibility /test API 
child of 0003764 closedFlorian Dold wallet needs to support /refresh operations to ensure unlinkability 
child of 0003760 closedMarcello Stanisci need GNUnet-style double-symmetric encryption for the wallet 

Activities

Marcello Stanisci

2015-07-15 09:55

manager   ~0009442

Imitating what is done by the mint in its test's handlers, I had some functions in the wallet which rely on GNUNET_CRYPTO_kdf. Their purpose was to generate in advance the expected value from the /test case in order to match it with what received by the mint.
For example, the wallet can generate the init. vector, symmetric key and the 'hash key'.
(Namely, the functions are WRALLgenSymmetricKey, WRALLgenInitVector and WRALLgenKeyFromBlob in content/lib/actions.jsm)

Is that enough for closing this bug?

Marcello Stanisci

2015-07-17 14:28

manager   ~0009460

Added in 4c40de8..1d92c72 (after adding a /test battery runner)

Issue History

Date Modified Username Field Change
2015-04-11 16:51 Christian Grothoff New Issue
2015-04-11 16:53 Christian Grothoff Category wallet => wallet (python command-line)
2015-04-11 16:54 Christian Grothoff Category wallet (python command-line) => wallet (browser-based)
2015-04-11 17:07 Christian Grothoff Relationship added child of 0003764
2015-04-11 17:11 Christian Grothoff Relationship added child of 0003760
2015-04-11 17:11 Christian Grothoff Relationship added parent of 0003758
2015-04-11 17:38 Christian Grothoff Relationship added related to 0003766
2015-04-13 03:05 Christian Grothoff Target Version 0.0 => 0.1
2015-04-13 03:18 Christian Grothoff Status new => confirmed
2015-06-21 10:42 Christian Grothoff Target Version 0.1 => 0.2
2015-07-11 23:10 Christian Grothoff Assigned To => Marcello Stanisci
2015-07-11 23:10 Christian Grothoff Status confirmed => assigned
2015-07-15 09:55 Marcello Stanisci Note Added: 0009442
2015-07-17 14:28 Marcello Stanisci Note Added: 0009460
2015-07-17 14:28 Marcello Stanisci Status assigned => resolved
2015-07-17 14:28 Marcello Stanisci Resolution open => fixed
2015-07-24 09:29 Christian Grothoff Status resolved => closed
2015-08-08 15:29 Christian Grothoff Fixed in Version => 0.0
2015-08-08 15:29 Christian Grothoff Target Version 0.2 => 0.0
2019-12-26 21:37 Florian Dold Category wallet (browser-based) => wallet (WebExtensions)